For PartnersFor Acquiring Partners
Klarna

Endpoint description

After creating an HPP Session, use the provided session_url to retrieve its status and updates by making a GET request to the API endpoint.
3 min read
When you have created an HPP Session you will have the ability to read its content by using thesession_urlthat you got back in the create session response. For that, you only to make a request to the endpoint and you will get data that lets you track the update of the session.
Session status tracking guide
It is advised to read our guide on how to track the HPP Session status changes.
DescriptionGets the status of the HPP Session
ReferenceFor a full list of returned values, please read API ReferenceAPI.
Url structurehttps://{endpoint}/hpp/v1/sessions/{session_id}
OperationGET
Examplecurl https://api.klarna.com/hpp/v1/sessions/session_id --header "Authorization: Basic token " --header "Content-Type: application/json" --header "Cache-Control: no-cache"
Field KeyTypeDescription
session_idStringIdentifier of the session that was read.
statusStringThe current status of the Session. You can read more about statuses in our session lifecycle article.
updated_atDateLast time this session was updated. Dates format is described hereAPI.
expires_atDateDate when this session will not be able for the customer to pay anymore. You can read more about lifetime in our session lifetime article. Dates format is described hereAPI.
Status nameStatus description
WAITINGSession is created and customer has not entered the Payment Page yet
IN_PROGRESSCustomer has entered the Payment Page on updated_at
COMPLETEDCustomer has successfully gotten an Authorization from the Payment system onupdated_at, **Authorization Token **is contained in the authorization_tokenfield.
FAILEDCustomer was not able to completely fulfil the payment on updated_at
CANCELLEDCustomer has pressed the Back button on updated_at
ERRORCustomer encountered an error while paying on updated_at
DISABLEDSession was disabled by API Call on the Merchant initiative on updated_at

Happy flow examples

These are the responses that an integration layer will get when polling the HPP Session during its fulfilment.
JSON
1 2 3 4 5 6 7
{ "session_id": "39a1c773-bafd-754d-af1f-b30c592f1267", "status": "WAITING", "updated_at": "2019-05-13T14:51:46.288Z", "expires_at": "2019-05-15T13:51:43.507Z" }
Newly created HPP Session
JSON
1 2 3 4 5 6 7
{ "session_id": "39a1c773-bafd-754d-af1f-b30c592f1267", "status": "IN_PROGRESS", "updated_at": "2019-05-13T14:52:57.540Z", "expires_at": "2019-05-15T13:51:43.507Z" }
Customer has loaded the HPP Session
JSON
1 2 3 4 5 6 7 8
{ "session_id": "39a1c773-bafd-754d-af1f-b30c592f1267", "status": "COMPLETED", "authorization_token": "a1a8f727-2756-6058-bd3c-40069be0994b", "updated_at": "2019-05-13T14:54:04.675Z", "expires_at": "2019-05-15T13:51:43.507Z" }
Completed HPP Session - Default value forplace_order_mode
JSON
1 2 3 4 5 6 7 8 9
{ "session_id": "39a1c773-bafd-754d-af1f-b30c592f1267", "status": "COMPLETED", "order_id": "a1a8f727-2756-6058-bd3c-40069be0994b", "klarna_reference": "X438HG0Q", "updated_at": "2019-05-13T14:54:04.675Z", "expires_at": "2019-05-15T13:51:43.507Z" }
With place_order_mode as PLACE_ORDER or CAPTURE_ORDER
JSON
1 2 3 4 5 6 7 8 9
{ "session_id": "39a1c773-bafd-754d-af1f-b30c592f1267", "status": "COMPLETED", "order_id": "a1a8f727-2756-6058-bd3c-40069be0994b", "klarna_reference": "X438HG0Q", "updated_at": "2019-05-13T14:54:04.675Z", "expires_at": "2019-05-15T13:51:43.507Z" }
Support
Partner support•Service Status
Cookies|Terms & Conditions|Copyright Klarna AB 2026
Jump to section...